<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default2.aspx.cs" Inherits="Default2" %>

<%@ Register TagPrefix="custom" Namespace="Custom" %>
<%@ Register TagPrefix="radg" Namespace="Telerik.WebControls" Assembly="RadGrid.Net2" %>
<%@ Register TagPrefix="sds" Namespace="SessionDS" Assembly="SessionDataSource" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <custom:CustomGrid ID="CustomGrid1" runat="server">
                <Grid ID="RadGrid1" runat="server" GridLines="None" BorderWidth="0"
                Width="200px" DataSourceID="SessionDataSource1" AllowAutomaticDeletes="true"
                AllowAutomaticInserts="true" AllowAutomaticUpdates="true" Skin="Telerik" AutoGenerateColumns="false">
                <MasterTableView AllowSorting="False" PageSize="10" AllowPaging="True" Width="100%"
                    DataKeyNames="ProductID" DataSourceID="SessionDataSource1" EditMode="InPlace">
                    <Columns>
                        <radg:GridEditCommandColumn UniqueName="EditCommandColumn" />
                        <radg:GridDropDownColumn UniqueName="DropDownColumn" DataField="ProductName" ListTextField="ProductName"
                            ListValueField="ProductName" DataSourceID="SessionDataSource1" HeaderText="Product name" />
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                    <ClientEvents OnRowContextMenu="RowContextMenu"></ClientEvents>
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
                <PagerStyle Mode="NextPrevAndNumeric" />
                </Grid>
            </custom:CustomGrid>
            <asp:PlaceHolder ID="PlaceHolder1" runat="server"></asp:PlaceHolder>
            <sds:SessionDataSource ID="SessionDataSource1" runat="server" DataFile="~/Grid/Data/Access/NWind.mdb"
                SelectCommand="SELECT ProductID, ProductName FROM [Products]" DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = ?"
                InsertCommand="INSERT INTO Products(ProductName) VALUES (?)" UpdateCommand="UPDATE [Products] SET [ProductName] = ? WHERE [ProductID] = ?"
                AutoIncrementFields="ProductID" OldValuesParameterFormatString="original_{0}"
                ConflictDetection="CompareAllValues">
                <DeleteParameters>
                    <asp:Parameter Name="original_ProductID" Type="Int32" />
                </DeleteParameters>
                <UpdateParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                    <asp:Parameter Name="original_ProductID" Type="Int32" />
                </UpdateParameters>
                <InsertParameters>
                    <asp:Parameter Name="ProductName" Type="String" />
                </InsertParameters>
            </sds:SessionDataSource>
            <asp:Button ID="btnPostBack" runat="server" Text="Postback" />
            <br />
        </div>
    </form>
</body>
</html>
